AC_DEFUN([NBC_CHECK_FFTW],
    [AC_ARG_WITH(fftw, AC_HELP_STRING([--with-fftw], [compile with FFTW support (ARG can be the path to the root FFTW directory)]))
    fftw_found=no
    if test x"${with_fftw}" = xyes; then
        AC_CHECK_HEADER(fftw3.h, fftw_found=yes, [AC_MSG_ERROR([FFTW selected but not available!])])
    elif test x"${with_fftw}" != x; then
        AC_CHECK_HEADER(${with_fftw}/include/fftw3.h, [ng_fftw_path=${with_fftw}; fftw_found=yes], [AC_MSG_ERROR([Can't find FFTW in ${with_fftw}])])
    else
        AC_CHECK_HEADER(fftw3.h, fftw_found=yes, AC_MSG_NOTICE([FFTW support disabled]))
    fi
    if test x"${fftw_found}" = xyes; then
        AC_DEFINE(HAVE_FFTW, 1, enables the fftw module)
        AC_MSG_NOTICE([FFTW support enabled])
        if test x${ng_fftw_path} = x; then
            LDFLAGS="${LDFLAGS} -lfftw3"
        else
            CFLAGS="${CFLAGS} -I${ng_fftw_path}/include"
            LIBS="${LIBS} -lfftw3 -L${ng_fftw_path}/lib"
        fi
    fi
    ]
)
